package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabRiskPlan;
import com.zd.laboratory.domain.LabRiskPlanHardwareRelation;
import com.zd.laboratory.domain.LabRiskPlanSensorRelation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/10/4
 */
@ApiModel("风险预案名称")
public class LabRiskPlanVO extends LabRiskPlan {

    @ApiModelProperty(value = "实验室id")
    private Long subjectId;

    private List<LabRiskPlanHardwareRelation> riskPlanHardwareList = new ArrayList <>();

    private List<LabRiskPlanSensorRelation> riskPlanSensorList = new ArrayList <>();

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    @Override
    public List <LabRiskPlanHardwareRelation> getRiskPlanHardwareList() {
        return riskPlanHardwareList;
    }

    @Override
    public void setRiskPlanHardwareList(List <LabRiskPlanHardwareRelation> riskPlanHardwareList) {
        this.riskPlanHardwareList = riskPlanHardwareList;
    }

    @Override
    public List <LabRiskPlanSensorRelation> getRiskPlanSensorList() {
        return riskPlanSensorList;
    }

    @Override
    public void setRiskPlanSensorList(List <LabRiskPlanSensorRelation> riskPlanSensorList) {
        this.riskPlanSensorList = riskPlanSensorList;
    }
}
